GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
gdcm::JPEG12Codec Class Reference

Class to do JPEG 12bits (lossy & lossless) More...

`#include <gdcmJPEG12Codec.h>`

Inheritance diagram for gdcm::JPEG12Codec:
[legend]
Collaboration diagram for gdcm::JPEG12Codec:
[legend]

List of all members.

## Public Member Functions

| JPEG12Codec ()
| ~JPEG12Codec ()
bool | Decode (std::istream &is, std::ostream &os)
bool | GetHeaderInfo (std::istream &is, TransferSyntax &ts)
bool | InternalCode (const char *input, unsigned long len, std::ostream &os)

## Detailed Description

Class to do JPEG 12bits (lossy & lossless)

Note:
  internal class

## Constructor & Destructor Documentation

gdcm::JPEG12Codec::JPEG12Codec | ( |  | ) |

gdcm::JPEG12Codec::~JPEG12Codec | ( |  | ) |

## Member Function Documentation

bool gdcm::JPEG12Codec::Decode | ( | std::istream & | is,
|  | std::ostream & | os
| ) |  | `[virtual]`

Reimplemented from gdcm::JPEGCodec.

bool gdcm::JPEG12Codec::GetHeaderInfo | ( | std::istream & | is,
|  | TransferSyntax & | ts
| ) |  | `[virtual]`

Reimplemented from gdcm::JPEGCodec.

bool gdcm::JPEG12Codec::InternalCode | ( | const char * | input,
|  | unsigned long | len,
|  | std::ostream & | os
| ) |  | `[virtual]`

Reimplemented from gdcm::Coder.

The documentation for this class was generated from the following file:

- gdcmJPEG12Codec.h